Index: bf_sw/source/core/unocore/sw_unocoll.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unocoll.cxx,v
retrieving revision 1.8
diff -u -r1.8 sw_unocoll.cxx
--- bf_sw/source/core/unocore/sw_unocoll.cxx	10 Apr 2008 17:13:30 -0000	1.8
+++ bf_sw/source/core/unocore/sw_unocoll.cxx	8 Jun 2008 19:58:55 -0000
@@ -870,6 +870,9 @@
 					aRet.setValue(&xRef, ::getCppuType((Reference<XEmbeddedObjectSupplier>*)0));
 				}
 				break;
+
+                               default:
+                               break;
 			}
 		}
 		else
@@ -926,6 +929,9 @@
 			aRet.setValue(&xRef, ::getCppuType((Reference<XEmbeddedObjectSupplier>*)0));
 		}
 		break;
+
+               default:
+               break;
 	}
 	return aRet;
 }
@@ -964,6 +970,7 @@
 	{
 		case FLYCNTTYPE_GRF:	nNodeType = ND_GRFNODE; break;
 		case FLYCNTTYPE_OLE:	nNodeType = ND_OLENODE; break;
+               default: break;
 	}
 
 	return 0 != GetDoc()->FindFlyByName( rName, nNodeType );
@@ -989,6 +996,9 @@
 		case FLYCNTTYPE_OLE:
 			aRet = ::getCppuType((uno::Reference<XEmbeddedObjectSupplier>*)0);
 		break;
+
+               default:
+               break;
 	}
 	return aRet;
 }
@@ -1025,6 +1035,9 @@
 			case FLYCNTTYPE_OLE:
 				pFrm = new SwXTextEmbeddedObject(rFmt);
 			break;
+
+                       default:
+                       break;
 		}
 	}
 	return pFrm;
Index: bf_sw/source/core/unocore/sw_unoframe.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unoframe.cxx,v
retrieving revision 1.11
diff -u -r1.11 sw_unoframe.cxx
--- bf_sw/source/core/unocore/sw_unoframe.cxx	10 Apr 2008 17:18:36 -0000	1.11
+++ bf_sw/source/core/unocore/sw_unoframe.cxx	8 Jun 2008 19:59:04 -0000
@@ -982,6 +982,9 @@
             pProps = new SwOLEProperties_Impl( );
         }
 		break;
+
+               default:
+               break;
 	}
 }
 
@@ -1072,6 +1075,8 @@
 			xOLERef = aPropSet.getPropertySetInfo();
 		xRef = xOLERef;
 		break;
+       default:
+               break;
 	}
 	return xRef;
 }
Index: bf_sw/source/core/unocore/sw_unoidx.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unoidx.cxx,v
retrieving revision 1.6
diff -u -r1.6 sw_unoidx.cxx
--- bf_sw/source/core/unocore/sw_unoidx.cxx	10 Apr 2008 17:19:23 -0000	1.6
+++ bf_sw/source/core/unocore/sw_unoidx.cxx	8 Jun 2008 19:59:11 -0000
@@ -429,6 +429,7 @@
 		case TOX_OBJECTS:           nObjectType = SW_SERVICE_INDEX_OBJECTS;break;
 		case TOX_TABLES:            nObjectType = SW_SERVICE_INDEX_TABLES;break;
 		case TOX_AUTHORITIES:       nObjectType = SW_SERVICE_INDEX_BIBLIOGRAPHY;break;
+               default: break;
 	}
 	return SwXServiceProvider::GetProviderName(nObjectType);
 }
@@ -1363,6 +1364,9 @@
             pArray[2] = C2U(cIdxMark);
             pArray[3] = C2U(cIdxMarkAsian);
         break;
+
+        default:
+        break;
 	}
 	return aRet;
 }
@@ -1421,6 +1425,9 @@
 			nMapId = PROPERTY_MAP_CNTIDX_MARK;
 		break;
 		//case TOX_USER:
+
+               default:
+               break;
 	}
 	_pMap = aSwMapProvider.GetPropertyMap(nMapId);
 }
@@ -1554,6 +1561,9 @@
 				}
 			}
 			break;
+
+                       default:
+                       break;
 		}
 		if(!pTOXType)
 			throw IllegalArgumentException();
@@ -1586,6 +1596,9 @@
 				if(USHRT_MAX != nLevel)
 					aMark.SetLevel(nLevel);
 			break;
+
+                       default:
+                       break;
 		}
 		UnoActionContext aAction(pDoc);
 		sal_Bool bMark = *aPam.GetPoint() != *aPam.GetMark();
@@ -1702,6 +1715,7 @@
         case TOX_INDEX: nPos = 0; break;
         case TOX_CONTENT: nPos = 1; break;
         case TOX_USER:  nPos = 2; break;
+        default: break;
     }
     if(!xInfos[nPos].is())
     {
@@ -2755,6 +2769,7 @@
 			}
 			break;
 			case TOKEN_AUTHORITY :
+                       {
 				rCurTokenSeq.realloc( 3 );
 				PropertyValue* pArr = rCurTokenSeq.getArray();
 
@@ -2766,7 +2781,11 @@
 
 				pArr[2].Name = C2U("BibliographyDataField");
 				pArr[2].Value <<= sal_Int16(aToken.nAuthorityField);
+                       }
 			break;
+
+                       default:
+                       break;
 		}
 	}
 
Index: bf_sw/source/core/unocore/sw_unoobj.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unoobj.cxx,v
retrieving revision 1.14
diff -u -r1.14 sw_unoobj.cxx
--- bf_sw/source/core/unocore/sw_unoobj.cxx	10 Apr 2008 17:20:03 -0000	1.14
+++ bf_sw/source/core/unocore/sw_unoobj.cxx	8 Jun 2008 19:59:17 -0000
@@ -1312,6 +1312,8 @@
 		case CURSOR_FOOTER:		eSearchNodeType = SwFooterStartNode;	break;
 		//case CURSOR_INVALID:
 		//case CURSOR_BODY:
+
+               default: break;
 	}
 	const SwStartNode* pOwnStartNode = pOwnCursor->GetNode()->
 											FindSttNodeByType(eSearchNodeType);
Index: bf_sw/source/core/unocore/sw_unostyle.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unostyle.cxx,v
retrieving revision 1.9
diff -u -r1.9 sw_unostyle.cxx
--- bf_sw/source/core/unocore/sw_unostyle.cxx	10 Apr 2008 17:23:38 -0000	1.9
+++ bf_sw/source/core/unocore/sw_unostyle.cxx	8 Jun 2008 19:59:28 -0000
@@ -759,6 +759,9 @@
 			nCount += nBaseCount;
 		}
 		break;
+
+               default:
+               break;
 	}
 	return nCount;
 }
@@ -872,6 +875,9 @@
 					}
 				}
 				break;
+
+                               default:
+                               break;
 			}
 			if ( !sStyleName.Len() )
 				lcl_GetCountOrName ( *pDocShell->GetDoc(), eFamily, &sStyleName, nIndex );
@@ -1360,6 +1366,9 @@
         if(bIsConditional)
             pArray[5] = C2U("com.sun.star.style.ConditionalParagraphStyle");
         break;
+
+        default:
+        break;
     }
     return aRet;
 }
@@ -1422,6 +1431,8 @@
 			nMapId = PROPERTY_MAP_NUM_STYLE;
 		}
 		break;
+       default:
+               break;
     }
     pPropImpl = new SwStyleProperties_Impl(aSwMapProvider.GetPropertyMap(nMapId));
 }
@@ -1692,6 +1703,9 @@
             xRet = xNumRef;
         }
         break;
+
+        default:
+        break;
     }
     return xRet;
 }
@@ -2140,6 +2154,7 @@
         case SFX_STYLE_FAMILY_FRAME: nPropSetId = PROPERTY_SET_FRAME_STYLE ;break;
         case SFX_STYLE_FAMILY_PAGE: nPropSetId = PROPERTY_SET_PAGE_STYLE  ;break;
         case SFX_STYLE_FAMILY_PSEUDO: nPropSetId = PROPERTY_SET_NUM_STYLE   ;break;
+        default: break;
     }
     SfxItemPropertySet& aPropSet = aSwMapProvider.GetPropertySet(nPropSetId);
 
@@ -2353,6 +2368,7 @@
         case SFX_STYLE_FAMILY_FRAME: nPropSetId = PROPERTY_SET_FRAME_STYLE ;break;
         case SFX_STYLE_FAMILY_PAGE: nPropSetId = PROPERTY_SET_PAGE_STYLE  ;break;
         case SFX_STYLE_FAMILY_PSEUDO: nPropSetId = PROPERTY_SET_NUM_STYLE   ;break;
+        default: break;
     }
     SfxItemPropertySet& aPropSet = aSwMapProvider.GetPropertySet(nPropSetId);
     const OUString* pNames = rPropertyNames.getConstArray();
@@ -2411,6 +2427,9 @@
 							bExcept = sal_True;
 					}
 					break;
+
+                                       default:
+                                       break;
 				}
 				if (bExcept )
 				{
@@ -2554,6 +2573,7 @@
                 case SFX_STYLE_FAMILY_FRAME: nPropSetId = PROPERTY_SET_FRAME_STYLE ;break;
                 case SFX_STYLE_FAMILY_PAGE: nPropSetId = PROPERTY_SET_PAGE_STYLE;   break;
                 case SFX_STYLE_FAMILY_PSEUDO: nPropSetId = PROPERTY_SET_NUM_STYLE   ;break;
+                default: break;
             }
 
             SfxItemSet aSet = aStyle.GetItemSet();
@@ -2662,6 +2682,8 @@
 					break;
 				case SFX_STYLE_FAMILY_PSEUDO:
 					break;
+                               default:
+                                       break;
 			}
 		}
 	}
@@ -2672,6 +2694,7 @@
 		case SFX_STYLE_FAMILY_FRAME: nPropSetId = PROPERTY_SET_FRAME_STYLE ;break;
 		case SFX_STYLE_FAMILY_PAGE: nPropSetId = PROPERTY_SET_PAGE_STYLE  ;break;
 		case SFX_STYLE_FAMILY_PSEUDO: nPropSetId = PROPERTY_SET_NUM_STYLE   ;break;
+               default: break;
 	}
 
 	const SfxItemPropertyMap* pMap = aSwMapProvider.GetPropertyMap(nPropSetId);
@@ -2739,6 +2762,7 @@
 				break;
 			case SFX_STYLE_FAMILY_PSEUDO:
 				break;
+                       default: break;
 			}
 			if( pTargetFmt )
 			{
@@ -2827,6 +2851,7 @@
 					case SFX_STYLE_FAMILY_FRAME: nPropSetId = PROPERTY_SET_FRAME_STYLE ;break;
 					case SFX_STYLE_FAMILY_PAGE: nPropSetId = PROPERTY_SET_PAGE_STYLE  ;break;
 					case SFX_STYLE_FAMILY_PSEUDO: nPropSetId = PROPERTY_SET_NUM_STYLE   ;break;
+                                       default: break;
 				}
 
 				const SfxItemSet &rSet = aStyle.GetItemSet(), *pParentSet = rSet.GetParent();
Index: bf_sw/source/core/unocore/sw_unotext.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unotext.cxx,v
retrieving revision 1.6
diff -u -r1.6 sw_unotext.cxx
--- bf_sw/source/core/unocore/sw_unotext.cxx	10 Apr 2008 17:24:15 -0000	1.6
+++ bf_sw/source/core/unocore/sw_unotext.cxx	8 Jun 2008 19:59:32 -0000
@@ -486,6 +486,8 @@
 				case CURSOR_FOOTER:		eSearchNodeType = SwFooterStartNode;	break;
 				//case CURSOR_INVALID:
 				//case CURSOR_BODY:
+
+                               default: break;
 			}
 
             const SwNode* pSrcNode = 0;
@@ -1055,6 +1057,8 @@
 		case CURSOR_FOOTER:		eSearchNodeType = SwFooterStartNode;	break;
 		//case CURSOR_INVALID:
 		//case CURSOR_BODY:
+
+               default: break;
 	}
 
 	const SwNode* pSrcNode;