Index: bf_sch/source/core/sch_globfunc.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_globfunc.cxx,v
retrieving revision 1.10
diff -u -r1.10 sch_globfunc.cxx
--- bf_sch/source/core/sch_globfunc.cxx	10 Apr 2008 10:14:09 -0000	1.10
+++ bf_sch/source/core/sch_globfunc.cxx	28 Jun 2008 18:38:27 -0000
@@ -737,6 +737,8 @@
 /*N*/ 		case CHTXTORIENT_STANDARD:
 /*N*/ 		case CHTXTORIENT_STACKED:
 /*N*/ 			break;
+/*N*/          default:
+/*N*/                  break;
 /*N*/ 	}
 /*N*/ 
 /*N*/ 	return nDegrees;
@@ -789,6 +791,8 @@
 /*N*/ 				case CHADJUST_BOTTOM_RIGHT:
 /*N*/ 					rAdjust = CHADJUST_BOTTOM_LEFT;
 /*N*/ 					break;
+/*N*/                          default:
+/*N*/                                  break;
 /*N*/ 			}
 /*N*/ 			break;
 /*N*/ 
@@ -826,8 +830,12 @@
 /*N*/ 				case CHADJUST_BOTTOM_RIGHT:
 /*N*/ 					rAdjust = CHADJUST_TOP_RIGHT;
 /*N*/ 					break;
+/*N*/                          default:
+/*N*/                                  break;
 /*N*/ 			}
 /*N*/ 			break;
+/*N*/          default:
+/*N*/                  break;
 /*N*/ 	}
 /*N*/ }
 
@@ -854,6 +862,7 @@
 /*N*/ 			rTextObj.NbcRotate(rPos, nAng, sin(fVal), cos(fVal));
 /*N*/ 			break;
 /*N*/ 		}
+/*N*/          default: break;
 /*N*/ 	}
 /*N*/ 
 /*N*/ 	Rectangle aRect = rTextObj.GetLogicRect();
@@ -874,6 +883,7 @@
 /*N*/ 			rTextObj.NbcMove( AdjustRotatedRect(aOldBoundRect, eAdjust, aNewBoundRect));
 /*N*/ 			break;
 /*N*/ 		}
+/*N*/          default: break;
 /*N*/ 	}
 /*N*/ }
 
Index: bf_sch/source/core/sch_chtmode2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chtmode2.cxx,v
retrieving revision 1.14
diff -u -r1.14 sch_chtmode2.cxx
--- bf_sch/source/core/sch_chtmode2.cxx	10 Apr 2008 10:09:41 -0000	1.14
+++ bf_sch/source/core/sch_chtmode2.cxx	28 Jun 2008 18:38:31 -0000
@@ -1783,6 +1783,8 @@
 /*?*/ 			case CHSTYLE_3D_AREA:
 /*?*/ 				eChartStyle = CHSTYLE_3D_PERCENTAREA;
 /*?*/ 				break;
+/*?*/                  default:
+/*?*/                          break;
 /*?*/ 		}
 /*?*/
 /*?*/ 		bNoMore = TRUE;
Index: bf_sch/source/core/sch_chtmode4.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chtmode4.cxx,v
retrieving revision 1.8
diff -u -r1.8 sch_chtmode4.cxx
--- bf_sch/source/core/sch_chtmode4.cxx	10 Apr 2008 10:10:25 -0000	1.8
+++ bf_sch/source/core/sch_chtmode4.cxx	28 Jun 2008 18:38:35 -0000
@@ -858,6 +858,8 @@
 /*?*/ 							eAdjust = CHADJUST_TOP_LEFT;
 /*?*/ 							aChartRect.Bottom() -= aRect.GetHeight() + nYOfs;
 /*?*/ 							break;
+/*?*/                                          default:
+/*?*/                                                  break;
 /*N*/ 					}
 /*N*/ 				}
 /*N*/                 // #96418# why shifting the legend nXOfs/nYOfs away from the
@@ -905,6 +907,8 @@
 /*?*/ 						eAdjust = CHADJUST_BOTTOM_CENTER;
 /*?*/ 						aChartRect.Bottom() -= aRect.GetHeight() + nYOfs;
 /*?*/ 						break;
+/*?*/                                  default:
+/*?*/                                          break;
 /*N*/ 				}
 /*N*/ 			}
 /*N*/ 	
Index: bf_sch/source/core/sch_chtmode9.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chtmode9.cxx,v
retrieving revision 1.10
diff -u -r1.10 sch_chtmode9.cxx
--- bf_sch/source/core/sch_chtmode9.cxx	10 Apr 2008 10:12:02 -0000	1.10
+++ bf_sch/source/core/sch_chtmode9.cxx	28 Jun 2008 18:38:39 -0000
@@ -234,6 +234,7 @@
 /*N*/ 		case CHSTYLE_2D_STOCK_3:
 /*N*/ 		case CHSTYLE_2D_STOCK_4:
 /*N*/ 			return TRUE;
+/*N*/          default: break;
 /*N*/ 	}
 /*N*/ 	if(!CanAxis(CHART_AXIS_SECONDARY_Y))
 /*N*/ 		return FALSE;
@@ -908,6 +909,7 @@
 /*N*/ 					}
 /*N*/ 					break;
 /*N*/ 				}
+/*N*/                          default: break;
 /*N*/ 			}
 /*N*/ 		} //for nRow
 /*N*/ 		aBarY1.NextCol();
Index: bf_sch/source/core/sch_chtmod3d.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chtmod3d.cxx,v
retrieving revision 1.8
diff -u -r1.8 sch_chtmod3d.cxx
--- bf_sch/source/core/sch_chtmod3d.cxx	10 Apr 2008 10:08:58 -0000	1.8
+++ bf_sch/source/core/sch_chtmod3d.cxx	28 Jun 2008 18:38:44 -0000
@@ -1150,6 +1150,8 @@
 /*?*/ 												CHOBJID_AREA, pRowGroup);
 /*?*/ 						}
 /*?*/ 						break;
+/*?*/                                  default:
+/*?*/                                          break;
 /*?*/ 				}
 /*?*/ 			}
 /*N*/ 
@@ -1772,6 +1774,8 @@
 /*?*/ 								pDescription [nRow].fValue = DBL_MIN;
 /*N*/ 							}
 /*N*/ 							break;
+/*N*/                                          default:
+/*N*/                                                  break;
 /*N*/ 					}
 /*N*/ 				}
 /*N*/ 