Index: bf_sw/source/core/layout/sw_atrfrm.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/layout/sw_atrfrm.cxx,v
retrieving revision 1.13
diff -u -r1.13 sw_atrfrm.cxx
--- bf_sw/source/core/layout/sw_atrfrm.cxx	10 Apr 2008 16:16:18 -0000	1.13
+++ bf_sw/source/core/layout/sw_atrfrm.cxx	8 Jun 2008 18:18:02 -0000
@@ -236,6 +236,7 @@
 /*?*/ 	case  REL_FRM_RIGHT:	nRet = text::RelOrientation::FRAME_RIGHT; break;
 /*N*/ 	case  REL_PG_FRAME:		nRet = text::RelOrientation::PAGE_FRAME; break;
 /*N*/ 	case  REL_PG_PRTAREA:	nRet = text::RelOrientation::PAGE_PRINT_AREA; break;
+/*N*/  default: break;
 /*N*/ 	}
 /*N*/ 	return nRet;
 /*N*/ }
@@ -1333,6 +1334,7 @@
 /*N*/ 				case VERT_LINE_TOP	 : 	nRet = text::VertOrientation::LINE_TOP   ;break;
 /*N*/ 				case VERT_LINE_CENTER: 	nRet = text::VertOrientation::LINE_CENTER;break;
 /*?*/ 				case VERT_LINE_BOTTOM: 	nRet = text::VertOrientation::LINE_BOTTOM;break;
+/*?*/                          default: break;
 /*N*/ 			}
 /*N*/ 			rVal <<= nRet;
 /*N*/ 		}
@@ -1473,6 +1475,7 @@
 /*?*/ 				case HORI_LEFT_AND_WIDTH :
 /*?*/ 					nRet = text::HoriOrientation::LEFT_AND_WIDTH;
 /*N*/ 				break;
+/*N*/                          default: break;
 /*N*/ 			}
 /*N*/ 			rVal <<= nRet;
 /*N*/ 		}
@@ -2657,6 +2660,8 @@
 			}
 		}
 		break;
+       default:
+               break;
 	}
 
 	if( pModify )
@@ -2707,6 +2712,9 @@
 #ifndef PRODUCT
 				default:
 					ASSERT( !this, "Neuer Ankertyp" );
+#else
+                               default:
+                                       break;
 #endif
 				}
 				pFrm->AppendFly( pFly );
Index: bf_sw/source/core/layout/sw_flowfrm.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/layout/sw_flowfrm.cxx,v
retrieving revision 1.8
diff -u -r1.8 sw_flowfrm.cxx
--- bf_sw/source/core/layout/sw_flowfrm.cxx	10 Apr 2008 16:18:10 -0000	1.8
+++ bf_sw/source/core/layout/sw_flowfrm.cxx	8 Jun 2008 18:18:08 -0000
@@ -236,6 +236,8 @@
 /*?*/ 			case SVX_BREAK_PAGE_AFTER:
 /*?*/ 			case SVX_BREAK_PAGE_BOTH:
 /*?*/ 				bKeep = FALSE;
+/*?*/                  default:
+/*?*/                          break;
 /*N*/ 		}
 /*N*/ 		if ( bKeep )
 /*N*/ 		{
@@ -266,6 +268,8 @@
 /*N*/ 					case SVX_BREAK_PAGE_BEFORE:
 /*N*/ 					case SVX_BREAK_PAGE_BOTH:
 /*N*/ 						bKeep = FALSE;
+/*N*/                                  default:
+/*N*/                                          break;
 /*N*/ 				}
 /*N*/ 			}
 /*N*/ 		}
@@ -1081,6 +1085,8 @@
 /*?*/ 										if( pFly->IsFlyAtCntFrm() )
 /*?*/ 											nAdd = ((SwFlyAtCntFrm*)pFly)->GetLastCharX();
 /*?*/ 										break;
+/*?*/                                                                  default:
+/*?*/                                                                          break;
 /*N*/ 								}
 /*N*/ 								nAdd += aHori.GetPos();
 /*N*/ 								if( nAdd < pPreUp->Frm().Width() &&
Index: bf_sw/source/core/layout/sw_pagechg.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/layout/sw_pagechg.cxx,v
retrieving revision 1.10
diff -u -r1.10 sw_pagechg.cxx
--- bf_sw/source/core/layout/sw_pagechg.cxx	10 Apr 2008 16:22:08 -0000	1.10
+++ bf_sw/source/core/layout/sw_pagechg.cxx	8 Jun 2008 18:18:13 -0000
@@ -1881,6 +1881,8 @@
 /*?*/ 						break;
 /*?*/ 					case HORI_LEFT_AND_WIDTH:
 /*?*/ 						nWidth += rAttrs.CalcLeft( pFrm );
+/*?*/                                  default:
+/*?*/                                          break;               
 /*N*/ 				}
 /*N*/ 				nBrowseWidth = Max( nBrowseWidth, nWidth );
 /*N*/ 			}
@@ -1919,6 +1921,8 @@
 /*N*/ 								case HORI_LEFT:
 /*?*/ 									if ( PRTAREA == rHori.GetRelationOrient() )
 /*?*/ 										nWidth += pFrm->Prt().Left();
+/*?*/                                                          default:
+/*?*/                                                                  break;
 /*N*/ 							}
 /*N*/ 						}
 /*N*/ 						else
Index: bf_sw/source/core/layout/sw_tabfrm.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/layout/sw_tabfrm.cxx,v
retrieving revision 1.9
diff -u -r1.9 sw_tabfrm.cxx
--- bf_sw/source/core/layout/sw_tabfrm.cxx	10 Apr 2008 16:23:52 -0000	1.9
+++ bf_sw/source/core/layout/sw_tabfrm.cxx	8 Jun 2008 18:18:21 -0000
@@ -2768,6 +2768,7 @@
 /*N*/ 					{
 /*N*/ 						case VERT_CENTER:	lTopOfst = nDiff / 2; break;
 /*N*/ 						case VERT_BOTTOM:	lTopOfst = nDiff;	  break;
+/*N*/                                          default: break;
 /*N*/ 					};
 /*N*/ 				}
 /*N*/                 long nTmp = (*fnRect->fnYInc)(