Index: bf_sch/source/ui/unoidl/sch_ChXChartDocument.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/ui/unoidl/sch_ChXChartDocument.cxx,v
retrieving revision 1.10
diff -u -r1.10 sch_ChXChartDocument.cxx
--- bf_sch/source/ui/unoidl/sch_ChXChartDocument.cxx	10 Apr 2008 10:32:56 -0000	1.10
+++ bf_sch/source/ui/unoidl/sch_ChXChartDocument.cxx	1 Jul 2008 16:29:23 -0000
@@ -563,7 +563,7 @@
 			{
 				case CHATTR_DIAGRAM_START:		// dummy id for "HasLegend"
 					{
-						sal_Bool bVal;
+						sal_Bool bVal = sal_False;
 						aValue >>= bVal;
 						m_pModel->SetShowLegend( bVal );
 						m_pModel->SetLegendHasBeenMoved( FALSE );
@@ -614,7 +614,7 @@
                                     break;
                                 case CHATTR_EXPORT_TABLE:
                                     {
-                                        sal_Bool bValueToSet;
+                                        sal_Bool bValueToSet = sal_False;
                                         aValue >>= bValueToSet;
 
                                         SchChartRange aRange = pData->GetChartRange();
@@ -627,7 +627,7 @@
                                     break;
                                 case CHATTR_FIRST_COL_LABELS:
                                     {
-                                        sal_Bool bValueToSet;
+                                        sal_Bool bValueToSet = sal_False;
                                         aValue >>= bValueToSet;
 
                                         SchChartRange aRange = pData->GetChartRange();
@@ -640,7 +640,7 @@
                                     break;
                                 case CHATTR_FIRST_ROW_LABELS:
                                     {
-                                        sal_Bool bValueToSet;
+                                        sal_Bool bValueToSet = sal_False;
                                         aValue >>= bValueToSet;
 
                                         SchChartRange aRange = pData->GetChartRange();
@@ -723,7 +723,7 @@
 		}
 		else if( aPropertyName.equalsAsciiL( RTL_CONSTASCII_STRINGPARAM( "ExportForClipboard" )))
 		{
-			sal_Bool bBool;
+			sal_Bool bBool = sal_False;
 			aValue >>= bBool;
 			m_pDocShell->SetClipboardExport( bBool );
 		}
@@ -891,7 +891,7 @@
                             // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
                             if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
                             {
-                                sal_Int32 nValue;
+                                sal_Int32 nValue = 0;
                                 aAny >>= nValue;
                                 aAny <<= static_cast< sal_Int16 >( nValue );
                             }
Index: bf_sch/source/ui/unoidl/sch_ChXChartObject.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/ui/unoidl/sch_ChXChartObject.cxx,v
retrieving revision 1.7
diff -u -r1.7 sch_ChXChartObject.cxx
--- bf_sch/source/ui/unoidl/sch_ChXChartObject.cxx	10 Apr 2008 10:34:25 -0000	1.7
+++ bf_sch/source/ui/unoidl/sch_ChXChartObject.cxx	1 Jul 2008 16:29:26 -0000
@@ -365,7 +365,7 @@
 
                 case SCHATTR_TEXT_ORIENT:
                     {
-                        sal_Bool bVal;
+                        sal_Bool bVal = sal_False;
                         if( aValue >>= bVal )
                         {
                             pSet->Put( SvxChartTextOrientItem(
@@ -382,7 +382,7 @@
                         drawing::BitmapMode eMode;
                         if(!(aValue >>= eMode) )
                         {
-                            sal_Int32 nMode;
+                            sal_Int32 nMode = 0;
                             if(!(aValue >>= nMode))
                                 break;
 
@@ -626,7 +626,7 @@
                         // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
                         if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aResultaAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
                         {
-                            sal_Int32 nValue;
+                            sal_Int32 nValue = 0;
                             aResultaAny >>= nValue;
                             aResultaAny <<= static_cast< sal_Int16 >( nValue );
                         }
@@ -772,7 +772,7 @@
 
             case SCHATTR_TEXT_ORIENT:
                 {
-                    sal_Bool bVal;
+                    sal_Bool bVal = 0;
                     if( *pValue >>= bVal )
                     {
                         aModifications.Put( SvxChartTextOrientItem(
@@ -788,7 +788,7 @@
 				drawing::BitmapMode eMode;
 				if ( ! (*pValue >>= eMode))
 				{
-					sal_Int32 nMode;
+					sal_Int32 nMode = 0;
 					if ( ! (*pValue >>= nMode))
 						break;
 					eMode = (drawing::BitmapMode)nMode;
@@ -1169,7 +1169,7 @@
         // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
         if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
         {
-            sal_Int32 nValue;
+            sal_Int32 nValue = 0;
             aAny >>= nValue;
             aAny <<= static_cast< sal_Int16 >( nValue );
         }
@@ -1431,7 +1431,7 @@
                         // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
                         if( ( *rProperty.pType == ::getCppuType((const sal_Int16*)0)) && rValue.getValueType() == ::getCppuType((const sal_Int32*)0) )
                         {
-                            sal_Int32 nValue;
+                            sal_Int32 nValue = 0;
                             rValue >>= nValue;
                             rValue <<= static_cast< sal_Int16 >( nValue );
                         }
Index: bf_sch/source/ui/unoidl/sch_ChXDataPoint.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/ui/unoidl/sch_ChXDataPoint.cxx,v
retrieving revision 1.8
diff -u -r1.8 sch_ChXDataPoint.cxx
--- bf_sch/source/ui/unoidl/sch_ChXDataPoint.cxx	20 May 2008 15:06:24 -0000	1.8
+++ bf_sch/source/ui/unoidl/sch_ChXDataPoint.cxx	1 Jul 2008 16:29:28 -0000
@@ -184,7 +184,7 @@
 			}
 			else if( nWID == CHATTR_PIE_SEGMENT_OFFSET )	// member of ChartModel rather than property
 			{
-				sal_Int32 nVal;
+				sal_Int32 nVal = 0;
 				aValue >>= nVal;
 				short nValToSet = (short)(abs( nVal ) % 101);		// cast long->short is ok (range 0..100)
 
@@ -208,7 +208,7 @@
                     drawing::BitmapMode eMode;
                     if(!(aValue >>= eMode) )
                     {
-                        sal_Int32 nMode;
+                        sal_Int32 nMode = 0;
                         if(!(aValue >>= nMode))
                             break;
 
@@ -255,7 +255,7 @@
 
 			if( pSet->Count() )
 			{
-				sal_Int32 nVal;
+				sal_Int32 nVal = 0;
 				switch( nWID )
 				{
 					case SCHATTR_STAT_KIND_ERROR:
@@ -506,7 +506,7 @@
                         // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
                         if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
                         {
-                            sal_Int32 nValue;
+                            sal_Int32 nValue = 0;
                             aAny >>= nValue;
                             aAny <<= static_cast< sal_Int16 >( nValue );
                         }
@@ -574,7 +574,7 @@
 	{
 		if( pMap->nWID == CHATTR_PIE_SEGMENT_OFFSET )
 		{
-			sal_Int32 nOffset;
+			sal_Int32 nOffset = 0;
 			uno::Any aAny = getPropertyValue( PropertyName );
 			aAny >>= nOffset;
 			if( nOffset )
@@ -828,7 +828,7 @@
             // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
             if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
             {
-                sal_Int32 nValue;
+                sal_Int32 nValue = 0;
                 aAny >>= nValue;
                 aAny <<= static_cast< sal_Int16 >( nValue );
             }
Index: bf_sch/source/ui/unoidl/sch_ChXDataRow.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/ui/unoidl/sch_ChXDataRow.cxx,v
retrieving revision 1.8
diff -u -r1.8 sch_ChXDataRow.cxx
--- bf_sch/source/ui/unoidl/sch_ChXDataRow.cxx	20 May 2008 15:06:43 -0000	1.8
+++ bf_sch/source/ui/unoidl/sch_ChXDataRow.cxx	1 Jul 2008 16:29:29 -0000
@@ -188,7 +188,7 @@
 			else if( nWID == CHATTR_PIE_SEGMENT_OFFSET )		// member of ChartModel rather than property
 			{
 				// (not fully supported yet. problem: getPropertyValue)
-				sal_Int32 nVal;
+				sal_Int32 nVal = 0;
 				aValue >>= nVal;
 				short nValToSet = (short)(abs( nVal ) % 101);		// cast long->short is ok (range 0..100)
 
@@ -217,7 +217,7 @@
                     drawing::BitmapMode eMode;
                     if(!(aValue >>= eMode) )
                     {
-                        sal_Int32 nMode;
+                        sal_Int32 nMode = 0;
                         if(!(aValue >>= nMode))
                             break;
 
@@ -265,7 +265,7 @@
 
 			if( pSet->Count() )
 			{
-				sal_Int32 nVal;
+				sal_Int32 nVal = 0;
 				switch( nWID )
 				{
 					case SCHATTR_STAT_KIND_ERROR:
@@ -360,8 +360,8 @@
 				if( SCHATTR_DATADESCR_START <= nWID && nWID <= SCHATTR_DATADESCR_END )
 				{
 					SfxItemSet rAttr( mpModel->GetDataRowAttr( mnRow ));
-					SvxChartDataDescr eNewDataDescr;
-					BOOL              bNewShowSym;
+					SvxChartDataDescr eNewDataDescr = CHDESCR_NONE;
+					BOOL              bNewShowSym = FALSE;
 					const SfxPoolItem *pPoolItem;
 
 					if( rAttr.GetItemState( SCHATTR_DATADESCR_DESCR, TRUE, &pPoolItem ) == SFX_ITEM_SET )
@@ -564,7 +564,7 @@
                         // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
                         if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
                         {
-                            sal_Int32 nValue;
+                            sal_Int32 nValue = 0;
                             aAny >>= nValue;
                             aAny <<= static_cast< sal_Int16 >( nValue );
                         }
@@ -767,7 +767,7 @@
             // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
             if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
             {
-                sal_Int32 nValue;
+                sal_Int32 nValue = 0;
                 aAny >>= nValue;
                 aAny <<= static_cast< sal_Int16 >( nValue );
             }
Index: bf_sch/source/ui/unoidl/sch_ChXDiagram.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/ui/unoidl/sch_ChXDiagram.cxx,v
retrieving revision 1.9
diff -u -r1.9 sch_ChXDiagram.cxx
--- bf_sch/source/ui/unoidl/sch_ChXDiagram.cxx	10 Apr 2008 10:38:02 -0000	1.9
+++ bf_sch/source/ui/unoidl/sch_ChXDiagram.cxx	1 Jul 2008 16:29:34 -0000
@@ -358,13 +358,13 @@
                 // since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
                 if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
                 {
-                    sal_Int32 nValue;
+                    sal_Int32 nValue = 0;
                     aAny >>= nValue;
                     aAny <<= static_cast< sal_Int16 >( nValue );
                 }
                 else if( ( *pMap->pType == ::getCppuType((const sal_uInt16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
                 {
-                    sal_Int32 nValue;
+                    sal_Int32 nValue = 0;
                     aAny >>= nValue;
                     aAny <<= static_cast< sal_uInt16 >( nValue );
                 }
@@ -821,7 +821,7 @@
                 throw PropertyVetoException();
 
 			USHORT nWID = pMap->nWID;
-            sal_Int32 nVal;
+			sal_Int32 nVal = 0;
 
 			SfxItemSet* pSet;
 			switch( nWID )
@@ -1037,7 +1037,7 @@
 					case SCHATTR_DATADESCR_DESCR:
 						{
 							// symbol
-							sal_Int32 nVal;
+							sal_Int32 nVal = 0;
 							aValue >>= nVal;
 							pSet->Put( SfxBoolItem( SCHATTR_DATADESCR_SHOW_SYM,
 													((nVal & chart::ChartDataCaption::SYMBOL) != 0)) );
@@ -1089,7 +1089,7 @@
 					case SCHATTR_STYLE_STACKED:
 					case SCHATTR_STYLE_PERCENT:
 						{
-							sal_Bool bSet;
+							sal_Bool bSet = sal_False;
 							aValue >>= bSet;
 							if( bSet )
 							{
@@ -1111,7 +1111,7 @@
 
                     case SCHATTR_STYLE_DEEP:
                         {
-                            sal_Bool bSet;
+                            sal_Bool bSet = sal_False;
                             aValue >>= bSet;
 
                             // if deep is turned on, 3d must also be set
Index: bf_sch/source/ui/unoidl/sch_ChXChartDrawPage.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/ui/unoidl/sch_ChXChartDrawPage.cxx,v
retrieving revision 1.6
diff -u -r1.6 sch_ChXChartDrawPage.cxx
--- bf_sch/source/ui/unoidl/sch_ChXChartDrawPage.cxx	10 Apr 2008 10:33:19 -0000	1.6
+++ bf_sch/source/ui/unoidl/sch_ChXChartDrawPage.cxx	1 Jul 2008 16:29:34 -0000
@@ -162,7 +162,7 @@
 					const SdrPage* pPage = mpModel->GetPage( 0 );
 					if( pPage )
 					{
-						sal_Int32 nWidth;
+						sal_Int32 nWidth = 0;
 						aValue >>= nWidth;
 						Size aSize = pPage->GetSize();
 						aSize.setWidth( nWidth );
@@ -176,7 +176,7 @@
 					const SdrPage* pPage = mpModel->GetPage( 0 );
 					if( pPage )
 					{
-						sal_Int32 nHeight;
+						sal_Int32 nHeight = 0;
 						aValue >>= nHeight;
 						Size aSize = pPage->GetSize();
 						aSize.setHeight( nHeight );