Index: bf_sd/source/ui/unoidl/sd_UnoDocumentSettings.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/sd_UnoDocumentSettings.cxx,v
retrieving revision 1.7
diff -u -r1.7 sd_UnoDocumentSettings.cxx
--- bf_sd/source/ui/unoidl/sd_UnoDocumentSettings.cxx	10 Apr 2008 10:53:51 -0000	1.7
+++ bf_sd/source/ui/unoidl/sd_UnoDocumentSettings.cxx	4 Jul 2008 04:22:51 -0000
@@ -216,14 +216,15 @@
 	if( NULL == pDoc || NULL == pDocSh )
 		throw UnknownPropertyException();
 
-	sal_Bool bOk, bChanged = sal_False, bValue;
+	sal_Bool bOk = sal_False;
+	sal_Bool bChanged = sal_False;
+	sal_Bool bValue = sal_False;
 
 	SfxPrinter* pPrinter = NULL;
 	SdOptionsPrintItem* pPrinterOptions = NULL;
 
 	for( ; *ppEntries; ppEntries++, pValues++ )
 	{
-		bOk = sal_False;
 		if( ((*ppEntries)->mnMemberId == MID_PRINTER) && (pPrinter == NULL) )
 		{
 			pPrinter = pDocSh->GetPrinter( sal_True );
@@ -377,7 +378,7 @@
 				break;
 			case HANDLE_APPLYUSERDATA:
 				{
-					sal_Bool bApplyUserData;
+					sal_Bool bApplyUserData = sal_False;
 					if( *pValues >>= bApplyUserData )
 					{
 						SfxDocumentInfo& rInfo = pDocSh->GetDocInfo();
@@ -483,7 +484,7 @@
 				break;
 			case HANDLE_PRINTQUALITY:
 				{
-					sal_Int32 nValue;
+					sal_Int32 nValue = 0;
 					if( *pValues >>= nValue )
 					{
 						pPrinterOptions->SetOutputQuality( (sal_uInt16)nValue );
@@ -493,7 +494,7 @@
 				break;
 			case HANDLE_MEASUREUNIT:
 				{
-					sal_Int16 nValue;
+					sal_Int16 nValue = 0;
 					if( *pValues >>= nValue )
 					{
 						short nFieldUnit;
@@ -507,7 +508,7 @@
 				break;
 			case HANDLE_SCALE_NUM:
 				{
-					sal_Int32 nValue;
+					sal_Int32 nValue = 0;
 					if( *pValues >>= nValue )
 					{
 						Fraction aFract( nValue, pDoc->GetUIScale().GetDenominator() );
@@ -519,7 +520,7 @@
 				break;
 			case HANDLE_SCALE_DOM:
 				{
-					sal_Int32 nValue;
+					sal_Int32 nValue = 0;
 					if( *pValues >>= nValue )
 					{
 						Fraction aFract( pDoc->GetUIScale().GetNumerator(), nValue );
@@ -532,7 +533,7 @@
 
 			case HANDLE_TABSTOP:
 				{
-					sal_Int32 nValue;
+					sal_Int32 nValue = 0;
 					if( (*pValues >>= nValue) && (nValue >= 0) )
 					{
 						pDoc->SetDefaultTabulator((sal_uInt16)nValue);
@@ -543,7 +544,7 @@
 				break;
 			case HANDLE_PAGENUMFMT:
 				{
-					sal_Int32 nValue;
+					sal_Int32 nValue = 0;
 					if( (*pValues >>= nValue ) && (nValue >= SVX_CHARS_UPPER_LETTER ) && (nValue <= SVX_PAGEDESC) )
 					{
 						pDoc->SetPageNumType((SvxNumType)nValue);
@@ -606,7 +607,7 @@
                 
             case HANDLE_PARAGRAPHSUMMATION :
             {
-                sal_Bool bIsSummationOfParagraphs;
+                sal_Bool bIsSummationOfParagraphs = sal_False;
                 if ( *pValues >>= bIsSummationOfParagraphs )
                 {
                     bOk = sal_True;
@@ -640,7 +641,7 @@
 
 			case HANDLE_CHARCOMPRESS:
 			{
-				sal_Int16 nCharCompressType;
+				sal_Int16 nCharCompressType = 0;
 				if( *pValues >>= nCharCompressType )
 				{
 					bOk = sal_True;
@@ -665,7 +666,7 @@
 			}
 			case HANDLE_ASIANPUNCT:
 			{
-				sal_Bool bAsianPunct;
+				sal_Bool bAsianPunct = sal_False;
 				if( *pValues >>= bAsianPunct )
 				{
 					bOk = sal_True;
@@ -690,7 +691,7 @@
 			}
 			case HANDLE_UPDATEFROMTEMPLATE:
 			{
-				sal_Bool bValue;
+				sal_Bool bValue = sal_False;
 				if( *pValues >>= bValue )
 				{
 					SfxDocumentInfo& rInfo = pDocSh->GetDocInfo();
@@ -706,7 +707,7 @@
                 // the document and determine it really differs from the old
                 // one.
                 sal_Int16 nOldValue = pDoc->GetPrinterIndependentLayout ();
-                sal_Int16 nValue;
+                sal_Int16 nValue = 0;
                 if (*pValues >>= nValue)
                 {
                     pDoc->SetPrinterIndependentLayout (nValue);
Index: bf_sd/source/ui/unoidl/sd_unolayer.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/sd_unolayer.cxx,v
retrieving revision 1.10
diff -u -r1.10 sd_unolayer.cxx
--- bf_sd/source/ui/unoidl/sd_unolayer.cxx	20 May 2008 15:11:08 -0000	1.10
+++ bf_sd/source/ui/unoidl/sd_unolayer.cxx	4 Jul 2008 04:22:52 -0000
@@ -192,7 +192,7 @@
 	{
 	case WID_LAYER_LOCKED:
 	{
-		sal_Bool bValue;
+		sal_Bool bValue = sal_False;
 		if(!sd::any2bool( aValue, bValue ))
 			throw lang::IllegalArgumentException();
 		set( LOCKED, bValue );
@@ -200,7 +200,7 @@
 	}
 	case WID_LAYER_PRINTABLE:
 	{
-		sal_Bool bValue;
+		sal_Bool bValue = sal_False;
 		if(!sd::any2bool( aValue, bValue ))
 			throw lang::IllegalArgumentException();
 		set( PRINTABLE, bValue );
@@ -208,7 +208,7 @@
 	}
 	case WID_LAYER_VISIBLE:
 	{
-		sal_Bool bValue;
+		sal_Bool bValue = sal_False;
 		if(!sd::any2bool( aValue, bValue ))
 			throw lang::IllegalArgumentException();
 		set( VISIBLE, bValue );
Index: bf_sd/source/ui/unoidl/sd_unomodel.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/sd_unomodel.cxx,v
retrieving revision 1.11
diff -u -r1.11 sd_unomodel.cxx
--- bf_sd/source/ui/unoidl/sd_unomodel.cxx	20 May 2008 15:11:25 -0000	1.11
+++ bf_sd/source/ui/unoidl/sd_unomodel.cxx	4 Jul 2008 04:22:55 -0000
@@ -1143,7 +1143,7 @@
 		}
 		case WID_MODEL_TABSTOP:
 		{
-			sal_Int32 nValue;
+			sal_Int32 nValue = 0;
 			if(!(aValue >>= nValue) || nValue < 0 )
 				throw lang::IllegalArgumentException();
 
@@ -1165,7 +1165,7 @@
 			break;
 		case WID_MODEL_CONTFOCUS:
 			{
-				sal_Bool bFocus;
+				sal_Bool bFocus = sal_False;
 				if( !(aValue >>= bFocus ) )
 					throw lang::IllegalArgumentException();
 				pDoc->SetAutoControlFocus( bFocus );
@@ -1173,7 +1173,7 @@
 			break;
 		case WID_MODEL_DSGNMODE:
 			{
-				sal_Bool bMode;
+				sal_Bool bMode = sal_False;
 				if( !(aValue >>= bMode ) )
 					throw lang::IllegalArgumentException();
 				pDoc->SetOpenInDesignMode( bMode );
Index: bf_sd/source/ui/unoidl/sd_unoobj.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/sd_unoobj.cxx,v
retrieving revision 1.10
diff -u -r1.10 sd_unoobj.cxx
--- bf_sd/source/ui/unoidl/sd_unoobj.cxx	20 May 2008 15:11:39 -0000	1.10
+++ bf_sd/source/ui/unoidl/sd_unoobj.cxx	4 Jul 2008 04:22:58 -0000
@@ -439,7 +439,7 @@
 					break;
 				case WID_ISANIMATION:
 				{
-					sal_Bool bIsAnimation;
+					sal_Bool bIsAnimation = sal_False;
 					if(!(aValue >>= bIsAnimation))
 						throw lang::IllegalArgumentException();
 
@@ -474,7 +474,7 @@
 					break;
 				case WID_BLUESCREEN:
 				{
-					sal_Int32 nColor;
+					sal_Int32 nColor = 0;
 					if(!(aValue >>= nColor))
 						throw lang::IllegalArgumentException();
 
@@ -483,7 +483,7 @@
 				}
 				case WID_VERB:
 				{
-					sal_Int32 nVerb;
+					sal_Int32 nVerb = 0;
 					if(!(aValue >>= nVerb))
 						throw lang::IllegalArgumentException();
 
@@ -492,7 +492,7 @@
 				}
 				case WID_DIMCOLOR:
 				{
-					sal_Int32 nColor;
+					sal_Int32 nColor = 0;
 					if(!(aValue >>= nColor))
 						throw lang::IllegalArgumentException();
 
@@ -507,7 +507,7 @@
 					break;
 				case WID_PRESORDER:
 				{
-					sal_Int32 nPos;
+					sal_Int32 nPos = 0;
 					if(!(aValue >>= nPos))
 						throw lang::IllegalArgumentException();
 
@@ -1267,8 +1267,8 @@
 	presentation::AnimationEffect eEffect;
 	presentation::AnimationSpeed eSpeed;
 	OUString aStrSoundURL;
-	sal_Bool bPlayFull;
-	sal_Int32 nVerb;
+	sal_Bool bPlayFull = sal_False;
+	sal_Int32 nVerb = 0;
 	OUString aStrMacro;
 	OUString aStrLibrary;
 	OUString aStrBookmark;
Index: bf_sd/source/ui/unoidl/sd_unopage.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/sd_unopage.cxx,v
retrieving revision 1.10
diff -u -r1.10 sd_unopage.cxx
--- bf_sd/source/ui/unoidl/sd_unopage.cxx	10 Apr 2008 10:56:38 -0000	1.10
+++ bf_sd/source/ui/unoidl/sd_unopage.cxx	4 Jul 2008 04:23:02 -0000
@@ -362,7 +362,7 @@
 		case WID_PAGE_DURATION:
 		case WID_PAGE_CHANGE:
 		{
-			sal_Int32 nValue;
+			sal_Int32 nValue = 0;
 			if(!(aValue >>= nValue))
 				throw lang::IllegalArgumentException();
 
@@ -394,7 +394,7 @@
 		}
 		case WID_PAGE_WIDTH:
 		{
-			sal_Int32 nWidth;
+			sal_Int32 nWidth = 0;
 			if(!(aValue >>= nWidth))
 				throw lang::IllegalArgumentException();
 
@@ -403,7 +403,7 @@
 		}
 		case WID_PAGE_HEIGHT:
 		{
-			sal_Int32 nHeight;
+			sal_Int32 nHeight = 0;
 			if(!(aValue >>= nHeight))
 				throw lang::IllegalArgumentException();
 
@@ -412,7 +412,7 @@
 		}
 		case WID_PAGE_ORIENT:
 		{
-			sal_Int32 nEnum;
+			sal_Int32 nEnum = 0;
 			if(!::cppu::enum2int( nEnum, aValue ))
 				throw lang::IllegalArgumentException();
 
@@ -442,7 +442,7 @@
 		}
 		case WID_PAGE_EFFECT:
 		{
-			sal_Int32 nEnum;
+			sal_Int32 nEnum = 0;
 			if(!::cppu::enum2int( nEnum, aValue ))
 				throw lang::IllegalArgumentException();
 
@@ -454,7 +454,7 @@
 			break;
 		case WID_PAGE_SPEED:
 		{
-			sal_Int32 nEnum;
+			sal_Int32 nEnum = 0;
 			if(!::cppu::enum2int( nEnum, aValue ))
 				throw lang::IllegalArgumentException();
 
@@ -463,7 +463,7 @@
 		}
 		case WID_PAGE_VISIBLE :
 		{
-			sal_Bool	bVisible;
+			sal_Bool	bVisible = sal_False;
 			if( ! ( aValue >>= bVisible ) )
 				throw lang::IllegalArgumentException();
 			GetPage()->SetExcluded( bVisible == FALSE );
@@ -481,7 +481,7 @@
 		}
 		case WID_PAGE_BACKFULL:
 		{
-			sal_Bool	bFullSize;
+			sal_Bool	bFullSize = sal_False;
 			if( ! ( aValue >>= bFullSize ) )
 				throw lang::IllegalArgumentException();
 			GetPage()->SetBackgroundFullSize( bFullSize );
@@ -489,7 +489,7 @@
 		}
 		case WID_PAGE_BACKVIS:
 		{
-			sal_Bool bVisible;
+			sal_Bool bVisible = sal_False;
 			if( ! ( aValue >>= bVisible ) )
 				throw lang::IllegalArgumentException();
 
@@ -509,7 +509,7 @@
 		}
 		case WID_PAGE_BACKOBJVIS:
 		{
-			sal_Bool bVisible;
+			sal_Bool bVisible sal_False;
 			if( ! ( aValue >>= bVisible ) )
 				throw lang::IllegalArgumentException();
 
Index: bf_sd/source/ui/unoidl/sd_unopres.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/sd_unopres.cxx,v
retrieving revision 1.8
diff -u -r1.8 sd_unopres.cxx
--- bf_sd/source/ui/unoidl/sd_unopres.cxx	10 Apr 2008 10:57:25 -0000	1.8
+++ bf_sd/source/ui/unoidl/sd_unopres.cxx	4 Jul 2008 04:23:02 -0000
@@ -134,7 +134,7 @@
 	{
 	case ATTR_PRESENT_ALL:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 		
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -150,7 +150,7 @@
 	}
 	case ATTR_PRESENT_CHANGE_PAGE:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -165,7 +165,7 @@
 
 	case ATTR_PRESENT_ANIMATION_ALLOWED:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 		
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -202,7 +202,7 @@
 	}
 	case ATTR_PRESENT_ENDLESS:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -216,7 +216,7 @@
 	}
 	case ATTR_PRESENT_FULLSCREEN:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -242,7 +242,7 @@
 	}
 	case ATTR_PRESENT_MANUEL:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -256,7 +256,7 @@
 	}
 	case ATTR_PRESENT_MOUSE:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -270,7 +270,7 @@
 	}
 	case ATTR_PRESENT_ALWAYS_ON_TOP:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -284,7 +284,7 @@
 	}
 	case ATTR_PRESENT_NAVIGATOR:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -298,7 +298,7 @@
 	}
 	case ATTR_PRESENT_PEN:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
@@ -312,7 +312,7 @@
 	}
 	case ATTR_PRESENT_PAUSE_TIMEOUT:
 	{
-		sal_Int32 nValue;
+		sal_Int32 nValue = 0;
 		if(!(aValue >>= nValue) || (nValue < 0))
 			throw lang::IllegalArgumentException();
 
@@ -321,7 +321,7 @@
 	}
 	case ATTR_PRESENT_SHOW_PAUSELOGO:
 	{
-		sal_Bool bVal;
+		sal_Bool bVal = sal_False;
 
 		if(! sd::any2bool( aValue, bVal ) )
 			throw lang::IllegalArgumentException();
Index: bf_sd/source/ui/unoidl/sd_unopstyl.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/sd_unopstyl.cxx,v
retrieving revision 1.7
diff -u -r1.7 sd_unopstyl.cxx
--- bf_sd/source/ui/unoidl/sd_unopstyl.cxx	10 Apr 2008 10:57:57 -0000	1.7
+++ bf_sd/source/ui/unoidl/sd_unopstyl.cxx	4 Jul 2008 04:23:04 -0000
@@ -435,7 +435,7 @@
 			// since the sfx uint16 item now exports a sal_Int32, we may have to fix this here
 			if( ( *pMap->pType == ::getCppuType((const sal_Int16*)0)) && aAny.getValueType() == ::getCppuType((const sal_Int32*)0) )
 			{
-				sal_Int32 nValue;
+				sal_Int32 nValue = 0;
 				aAny >>= nValue;
 				aAny <<= (sal_Int16)nValue;
 			}
Index: bf_sd/source/ui/unoidl/unohelp.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/unohelp.hxx,v
retrieving revision 1.5
diff -u -r1.5 unohelp.hxx
--- bf_sd/source/ui/unoidl/unohelp.hxx	10 Apr 2008 10:59:33 -0000	1.5
+++ bf_sd/source/ui/unoidl/unohelp.hxx	4 Jul 2008 04:23:04 -0000
@@ -38,7 +38,7 @@
 	}
 	else
 	{
-		sal_Int32 nValue;
+		sal_Int32 nValue = 0;
 		if(!(rAny >>= nValue))
 			return sal_False;
 		rBool = nValue != 0;